---
title: Spree 1.1.4
section: version
---

# Summary

This is the official 1.1.4 Release of Spree. This is a trivial release,
and so backwards compatibility with extensions and applications is
guaranteed.

This will be the final release of the 1.1.x branch for Spree. We would
recommend upgrading to 1.2.x as soon as possible.

# Major fixes

## Migrations

This new version of Spree most likely contains new migrations. Please
install them and run them with this command:

```bash
bundle exec rake railties:install:migrations
bundle exec rake db:migrate```

## Rails dependency upgraded

Due to a [security
bug](http://weblog.rubyonrails.org/2012/11/12/ann-rails-3-2-9-has-been-released/)
within Rails, we have upgraded the dependency of Rails to be 3.2.9. You
will not be able to use Rails 3.2.8 with Spree 1.1.4. It's highly
encouraged you upgrade your Rails version.

## JavaScript changes

If you are upgrading from an older version of Spree 1.1, please make
sure that your JavaScript requires are correct within
`app/assets/javascripts`.

Inside `app/assets/javascripts/admin/all.js`, the directives should be
this:

```bash
//= require jquery
//= require jquery_ujs

//= require admin/spree_core
//= require admin/spree_auth
//= require admin/spree_promo

//= require_tree .
```

Inside `app/assets/javascripts/store/all.js`, the directives should be
this:

```bash
//
//= require jquery
//= require jquery_ujs

//= require store/spree_core
//= require store/spree_auth
//= require store/spree_promo

//= require_tree .
```

These changes are important, as they fix [Issue
#1854](https://github.com/spree/spree/issues/1854).

# Minor fixes

-   Ensure there is a valid state during the checkout.
    [#1770](https://github.com/spree/spree/issues/1770)
-   Use GET request for /user/logout.
    [#1663](https://github.com/spree/spree/issues/1663) and
    [#1812](https://github.com/spree/spree/issues/1812)
-   Use product description if no meta description is provided.
    [#1811](https://github.com/spree/spree/issues/1811)
-   Don't update *product.count_on_hand* if track inventory labels is
    disabled. [#1820](https://github.com/spree/spree/issues/1820)
-   Set payment state to *credit_owed* if order is cancelled and
    nothing is shipped.
    [#1513](https://github.com/spree/spree/issues/1513)
-   Added *ignore_types* option for *flash_messages* to ignore
    specific types of flash messages.
    [#1835](https://github.com/spree/spree/issues/1835)
-   Added large image placeholder.
    [#1828](https://github.com/spree/spree/issues/1828)
-   Assets are no longer precompiled during the installation process.
    [#1854](https://github.com/spree/spree/issues/1854)
-   API responses now return the correct content type.
    [#1866](https://github.com/spree/spree/issues/1866)
-   I18n-ify order cancel, confirmation and shipment emails.
    [#1884](https://github.com/spree/spree/issues/1884)
-   Preferences are now checked for in database before falling back to
    their defined-defaults.
    [#1500](https://github.com/spree/spree/issues/1500)
-   Deleted shipping methods are no longer visible in the admin backend.
    [#1847](https://github.com/spree/spree/issues/1847) and
    [#1967](https://github.com/spree/spree/issues/1967).
-   Moved admin JS translations out to their own partial
    (*core/app/views/admin/shared/_translations.html.erb*)
    [#1906](https://github.com/spree/spree/issues/1906)
-   Fixed error where admin page for tax rates would not load if a tax
    rate didn't have a valid zone.
    [#2019](https://github.com/spree/spree/issues/2019)
-   Fixed incorrect PriceSack calculation
    [#2055](https://github.com/spree/spree/issues/2055)
-   InventoryUnit#restock_variant will no longer alter
    *variant.count_on_hand* if inventory tracking is disabled.
-   Orders with all return authorizations received are now marked as
    returned. [#1714](https://github.com/spree/spree/issues/1714) and
    [#2097](https://github.com/spree/spree/issues/2097)
-   *Product.in_taxons* will now only return unique products.
    [#1917](https://github.com/spree/spree/issues/1917) and
    [#1974](https://github.com/spree/spree/issues/1974) and
    [#1962](https://github.com/spree/spree/issues/1962)
-   *Product.on_hand* no longer sums deleted variants.
    [#2112](https://github.com/spree/spree/issues/2112)
-   EXIF data is now stripped from uploaded JPEGs
    [#2145](https://github.com/spree/spree/issues/2145)
-   OrdersController#show now requires SSL, as it contains sensitive
    data. [#2164](https://github.com/spree/spree/issues/2164).

